# Currently available datasets

See below for a table of all available datasets in this collection with storage locations and other metadata.

> **Note**

> The `CSV download` column contains timeseries of climate data at **107 cities** around the globe in CSV format.

---

| GCM           | Scenario   | Time frequency | Method    | Variable | License   | Zarr store                                                                                                                                        | CSV download                                                                                                                                          |
| :------------ | :--------- | :------------- | :-------- | :------- | :-------- | :------------------------------------------------------------------------------------------------------------------------------------------------ | :---------------------------------------------------------------------------------------------------------------------------------------------------- |
| CanESM5       | historical | day            | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD.pr.zarr                 | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD.pr.csv                 |
| CanESM5       | historical | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD.tasmax.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD.tasmax.csv             |
| CanESM5       | historical | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD.tasmin.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD.tasmin.csv             |
| CanESM5       | historical | month          | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD.pr.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD.pr.csv               |
| CanESM5       | historical | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD.tasmax.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD.tasmax.csv           |
| CanESM5       | historical | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD.tasmin.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD.tasmin.csv           |
| CanESM5       | historical | year           | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD.pr.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD.pr.csv                |
| CanESM5       | historical | year           | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD.tasmax.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD.tasmax.csv            |
| CanESM5       | historical | year           | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD.tasmin.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD.tasmin.csv            |
| MRI-ESM2-0    | historical | day            | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD.pr.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD.pr.csv                |
| MRI-ESM2-0    | historical | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD.tasmax.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD.tasmax.csv            |
| MRI-ESM2-0    | historical | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD.tasmin.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD.tasmin.csv            |
| MRI-ESM2-0    | historical | month          | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD.pr.csv              |
| MRI-ESM2-0    | historical | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD.tasmax.csv          |
| MRI-ESM2-0    | historical | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD.tasmin.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD.tasmin.csv          |
| MRI-ESM2-0    | historical | year           | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD.pr.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD.pr.csv               |
| MRI-ESM2-0    | historical | year           | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD.tasmax.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD.tasmax.csv           |
| CanESM5       | ssp245     | day            | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD.pr.csv              |
| CanESM5       | ssp245     | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD.tasmax.csv          |
| CanESM5       | ssp245     | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD.tasmin.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD.tasmin.csv          |
| CanESM5       | ssp245     | month          | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD.pr.csv            |
| CanESM5       | ssp245     | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD.tasmax.csv        |
| CanESM5       | ssp245     | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD.tasmin.csv        |
| CanESM5       | ssp245     | year           | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD.pr.csv             |
| CanESM5       | ssp245     | year           | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD.tasmax.csv         |
| CanESM5       | ssp370     | day            | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD.pr.csv              |
| CanESM5       | ssp370     | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD.tasmax.csv          |
| CanESM5       | ssp370     | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD.tasmin.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD.tasmin.csv          |
| CanESM5       | ssp370     | month          | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD.pr.csv            |
| CanESM5       | ssp370     | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD.tasmax.csv        |
| CanESM5       | ssp370     | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD.tasmin.csv        |
| CanESM5       | ssp370     | year           | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD.pr.csv             |
| CanESM5       | ssp370     | year           | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD.tasmax.csv         |
| CanESM5       | ssp370     | year           | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD.tasmin.csv         |
| CanESM5       | ssp585     | day            | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD.pr.csv              |
| CanESM5       | ssp585     | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD.tasmax.csv          |
| CanESM5       | ssp585     | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD.tasmin.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD.tasmin.csv          |
| CanESM5       | ssp585     | month          | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD.pr.csv            |
| CanESM5       | ssp585     | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD.tasmax.csv        |
| CanESM5       | ssp585     | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD.tasmin.csv        |
| MRI-ESM2-0    | ssp245     | day            | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD.pr.csv             |
| MRI-ESM2-0    | ssp245     | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD.tasmax.csv         |
| MRI-ESM2-0    | ssp245     | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD.tasmin.csv         |
| MRI-ESM2-0    | ssp245     | month          | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD.pr.csv           |
| MRI-ESM2-0    | ssp245     | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD.tasmax.csv       |
| MRI-ESM2-0    | ssp245     | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD.tasmin.csv       |
| MRI-ESM2-0    | ssp245     | year           | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD.pr.csv            |
| MRI-ESM2-0    | ssp245     | year           | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD.tasmax.csv        |
| MRI-ESM2-0    | ssp245     | year           | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD.tasmin.csv        |
| MRI-ESM2-0    | ssp370     | day            | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD.pr.csv             |
| MRI-ESM2-0    | ssp370     | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD.tasmax.csv         |
| MRI-ESM2-0    | ssp370     | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD.tasmin.csv         |
| MRI-ESM2-0    | ssp370     | month          | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD.pr.csv           |
| MRI-ESM2-0    | ssp370     | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD.tasmax.csv       |
| MRI-ESM2-0    | ssp370     | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD.tasmin.csv       |
| MRI-ESM2-0    | ssp370     | year           | DeepSD    | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD.pr.csv            |
| MRI-ESM2-0    | ssp370     | year           | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD.tasmax.csv        |
| MRI-ESM2-0    | ssp370     | year           | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD.tasmin.csv        |
| MRI-ESM2-0    | ssp585     | day            | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD.tasmax.csv         |
| MRI-ESM2-0    | ssp585     | day            | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD.tasmin.csv         |
| MRI-ESM2-0    | ssp585     | month          | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD.tasmax.csv       |
| MRI-ESM2-0    | ssp585     | month          | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD.tasmin.csv       |
| MRI-ESM2-0    | ssp585     | year           | DeepSD    | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD.tasmax.csv        |
| MRI-ESM2-0    | ssp585     | year           | DeepSD    | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD.tasmin.csv        |
| CanESM5       | historical | day            | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD-BC.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD-BC.pr.csv           |
| CanESM5       | historical | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD-BC.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD-BC.tasmax.csv       |
| CanESM5       | historical | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD-BC.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.DeepSD-BC.tasmin.csv       |
| CanESM5       | historical | month          | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD-BC.pr.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD-BC.pr.csv         |
| CanESM5       | historical | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD-BC.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD-BC.tasmax.csv     |
| CanESM5       | historical | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD-BC.tasmin.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.DeepSD-BC.tasmin.csv     |
| CanESM5       | historical | year           | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD-BC.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD-BC.pr.csv          |
| CanESM5       | historical | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD-BC.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD-BC.tasmax.csv      |
| CanESM5       | historical | year           | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD-BC.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.DeepSD-BC.tasmin.csv      |
| MRI-ESM2-0    | historical | day            | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD-BC.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD-BC.pr.csv          |
| MRI-ESM2-0    | historical | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD-BC.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD-BC.tasmax.csv      |
| MRI-ESM2-0    | historical | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD-BC.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.DeepSD-BC.tasmin.csv      |
| MRI-ESM2-0    | historical | month          | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD-BC.pr.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD-BC.pr.csv        |
| MRI-ESM2-0    | historical | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD-BC.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD-BC.tasmax.csv    |
| MRI-ESM2-0    | historical | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD-BC.tasmin.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.DeepSD-BC.tasmin.csv    |
| MRI-ESM2-0    | historical | year           | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD-BC.pr.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD-BC.pr.csv         |
| MRI-ESM2-0    | historical | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD-BC.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD-BC.tasmax.csv     |
| MRI-ESM2-0    | historical | year           | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD-BC.tasmin.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.DeepSD-BC.tasmin.csv     |
| CanESM5       | ssp245     | day            | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD-BC.pr.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD-BC.pr.csv        |
| CanESM5       | ssp245     | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD-BC.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD-BC.tasmax.csv    |
| CanESM5       | ssp245     | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD-BC.tasmin.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.DeepSD-BC.tasmin.csv    |
| CanESM5       | ssp245     | month          | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD-BC.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD-BC.pr.csv      |
| CanESM5       | ssp245     | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD-BC.tasmax.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD-BC.tasmax.csv  |
| CanESM5       | ssp245     | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD-BC.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.DeepSD-BC.tasmin.csv  |
| CanESM5       | ssp245     | year           | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD-BC.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD-BC.pr.csv       |
| CanESM5       | ssp245     | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD-BC.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD-BC.tasmax.csv   |
| CanESM5       | ssp245     | year           | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD-BC.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.DeepSD-BC.tasmin.csv   |
| CanESM5       | ssp370     | day            | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD-BC.pr.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD-BC.pr.csv        |
| CanESM5       | ssp370     | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD-BC.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD-BC.tasmax.csv    |
| CanESM5       | ssp370     | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD-BC.tasmin.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.DeepSD-BC.tasmin.csv    |
| CanESM5       | ssp370     | month          | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD-BC.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD-BC.pr.csv      |
| CanESM5       | ssp370     | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD-BC.tasmax.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD-BC.tasmax.csv  |
| CanESM5       | ssp370     | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD-BC.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.DeepSD-BC.tasmin.csv  |
| CanESM5       | ssp370     | year           | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD-BC.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD-BC.pr.csv       |
| CanESM5       | ssp370     | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD-BC.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD-BC.tasmax.csv   |
| CanESM5       | ssp370     | year           | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD-BC.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.DeepSD-BC.tasmin.csv   |
| CanESM5       | ssp585     | day            | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD-BC.pr.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD-BC.pr.csv        |
| CanESM5       | ssp585     | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD-BC.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD-BC.tasmax.csv    |
| CanESM5       | ssp585     | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD-BC.tasmin.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.DeepSD-BC.tasmin.csv    |
| CanESM5       | ssp585     | month          | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD-BC.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD-BC.pr.csv      |
| CanESM5       | ssp585     | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD-BC.tasmax.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD-BC.tasmax.csv  |
| CanESM5       | ssp585     | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD-BC.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.DeepSD-BC.tasmin.csv  |
| CanESM5       | ssp585     | year           | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.DeepSD-BC.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.DeepSD-BC.pr.csv       |
| CanESM5       | ssp585     | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.DeepSD-BC.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.DeepSD-BC.tasmax.csv   |
| CanESM5       | ssp585     | year           | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.DeepSD-BC.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.DeepSD-BC.tasmin.csv   |
| MRI-ESM2-0    | ssp245     | day            | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD-BC.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD-BC.pr.csv       |
| MRI-ESM2-0    | ssp245     | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD-BC.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD-BC.tasmax.csv   |
| MRI-ESM2-0    | ssp245     | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD-BC.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.DeepSD-BC.tasmin.csv   |
| MRI-ESM2-0    | ssp245     | month          | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD-BC.pr.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD-BC.pr.csv     |
| MRI-ESM2-0    | ssp245     | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD-BC.tasmax.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD-BC.tasmax.csv |
| MRI-ESM2-0    | ssp245     | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD-BC.tasmin.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.DeepSD-BC.tasmin.csv |
| MRI-ESM2-0    | ssp245     | year           | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD-BC.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD-BC.pr.csv      |
| MRI-ESM2-0    | ssp245     | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD-BC.tasmax.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.DeepSD-BC.tasmax.csv  |
| MRI-ESM2-0    | ssp370     | day            | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD-BC.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD-BC.pr.csv       |
| MRI-ESM2-0    | ssp370     | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD-BC.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD-BC.tasmax.csv   |
| MRI-ESM2-0    | ssp370     | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD-BC.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.DeepSD-BC.tasmin.csv   |
| MRI-ESM2-0    | ssp370     | month          | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD-BC.pr.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD-BC.pr.csv     |
| MRI-ESM2-0    | ssp370     | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD-BC.tasmax.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD-BC.tasmax.csv |
| MRI-ESM2-0    | ssp370     | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD-BC.tasmin.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.DeepSD-BC.tasmin.csv |
| MRI-ESM2-0    | ssp370     | year           | DeepSD-BC | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD-BC.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD-BC.pr.csv      |
| MRI-ESM2-0    | ssp370     | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD-BC.tasmax.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD-BC.tasmax.csv  |
| MRI-ESM2-0    | ssp370     | year           | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD-BC.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.DeepSD-BC.tasmin.csv  |
| MRI-ESM2-0    | ssp585     | day            | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD-BC.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD-BC.tasmax.csv   |
| MRI-ESM2-0    | ssp585     | day            | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD-BC.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.DeepSD-BC.tasmin.csv   |
| MRI-ESM2-0    | ssp585     | month          | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD-BC.tasmax.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD-BC.tasmax.csv |
| MRI-ESM2-0    | ssp585     | month          | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD-BC.tasmin.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.DeepSD-BC.tasmin.csv |
| MRI-ESM2-0    | ssp585     | year           | DeepSD-BC | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD-BC.tasmax.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD-BC.tasmax.csv  |
| MRI-ESM2-0    | ssp585     | year           | DeepSD-BC | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD-BC.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/DeepSD-BC/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.DeepSD-BC.tasmin.csv  |
| MRI-ESM2-0    | historical | day            | GARD-MV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-MV.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-MV.pr.csv              |
| MRI-ESM2-0    | historical | day            | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-MV.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-MV.tasmax.csv          |
| MRI-ESM2-0    | historical | month          | GARD-MV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-MV.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-MV.pr.csv            |
| MRI-ESM2-0    | historical | month          | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-MV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-MV.tasmax.csv        |
| MRI-ESM2-0    | historical | year           | GARD-MV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-MV.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-MV.pr.csv             |
| MRI-ESM2-0    | historical | year           | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-MV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-MV.tasmax.csv         |
| NorESM2-LM    | historical | day            | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.GARD-MV.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.GARD-MV.tasmax.csv          |
| NorESM2-LM    | historical | month          | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.GARD-MV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.GARD-MV.tasmax.csv        |
| NorESM2-LM    | historical | year           | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.GARD-MV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.GARD-MV.tasmax.csv         |
| MRI-ESM2-0    | ssp245     | day            | GARD-MV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-MV.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-MV.pr.csv           |
| MRI-ESM2-0    | ssp245     | day            | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-MV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-MV.tasmax.csv       |
| MRI-ESM2-0    | ssp245     | month          | GARD-MV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-MV.pr.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-MV.pr.csv         |
| MRI-ESM2-0    | ssp245     | month          | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-MV.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-MV.tasmax.csv     |
| MRI-ESM2-0    | ssp245     | year           | GARD-MV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-MV.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-MV.pr.csv          |
| MRI-ESM2-0    | ssp245     | year           | GARD-MV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-MV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-MV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-MV.tasmax.csv      |
| BCC-CSM2-MR   | historical | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.day.GARD-SV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.day.GARD-SV.tasmax.csv         |
| BCC-CSM2-MR   | historical | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.day.GARD-SV.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.day.GARD-SV.tasmin.csv         |
| BCC-CSM2-MR   | historical | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.month.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.month.GARD-SV.tasmax.csv       |
| BCC-CSM2-MR   | historical | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.month.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.month.GARD-SV.tasmin.csv       |
| BCC-CSM2-MR   | historical | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.year.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.year.GARD-SV.tasmax.csv        |
| BCC-CSM2-MR   | historical | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.year.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.BCC.BCC-CSM2-MR.historical.r1i1p1f1.year.GARD-SV.tasmin.csv        |
| CanESM5       | historical | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.GARD-SV.pr.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.GARD-SV.pr.csv               |
| CanESM5       | historical | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.GARD-SV.tasmax.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.GARD-SV.tasmax.csv           |
| CanESM5       | historical | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.GARD-SV.tasmin.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.day.GARD-SV.tasmin.csv           |
| CanESM5       | historical | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.GARD-SV.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.GARD-SV.pr.csv             |
| CanESM5       | historical | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.GARD-SV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.GARD-SV.tasmax.csv         |
| CanESM5       | historical | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.GARD-SV.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.month.GARD-SV.tasmin.csv         |
| CanESM5       | historical | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.GARD-SV.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.GARD-SV.pr.csv              |
| CanESM5       | historical | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.GARD-SV.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.GARD-SV.tasmax.csv          |
| CanESM5       | historical | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.GARD-SV.tasmin.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.CCCma.CanESM5.historical.r1i1p1f1.year.GARD-SV.tasmin.csv          |
| MIROC6        | historical | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.day.GARD-SV.pr.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.day.GARD-SV.pr.csv                |
| MIROC6        | historical | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.day.GARD-SV.tasmax.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.day.GARD-SV.tasmax.csv            |
| MIROC6        | historical | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.day.GARD-SV.tasmin.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.day.GARD-SV.tasmin.csv            |
| MIROC6        | historical | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.month.GARD-SV.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.month.GARD-SV.pr.csv              |
| MIROC6        | historical | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.month.GARD-SV.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.month.GARD-SV.tasmax.csv          |
| MIROC6        | historical | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.month.GARD-SV.tasmin.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.month.GARD-SV.tasmin.csv          |
| MIROC6        | historical | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.year.GARD-SV.pr.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.year.GARD-SV.pr.csv               |
| MIROC6        | historical | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.year.GARD-SV.tasmax.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.year.GARD-SV.tasmax.csv           |
| MIROC6        | historical | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.year.GARD-SV.tasmin.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MIROC.MIROC6.historical.r1i1p1f1.year.GARD-SV.tasmin.csv           |
| MPI-ESM1-2-HR | historical | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.day.GARD-SV.pr.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.day.GARD-SV.pr.csv         |
| MPI-ESM1-2-HR | historical | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.day.GARD-SV.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.day.GARD-SV.tasmax.csv     |
| MPI-ESM1-2-HR | historical | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.day.GARD-SV.tasmin.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.day.GARD-SV.tasmin.csv     |
| MPI-ESM1-2-HR | historical | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.month.GARD-SV.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.month.GARD-SV.pr.csv       |
| MPI-ESM1-2-HR | historical | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.month.GARD-SV.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.month.GARD-SV.tasmax.csv   |
| MPI-ESM1-2-HR | historical | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.month.GARD-SV.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.month.GARD-SV.tasmin.csv   |
| MPI-ESM1-2-HR | historical | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.year.GARD-SV.pr.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.year.GARD-SV.pr.csv        |
| MPI-ESM1-2-HR | historical | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.year.GARD-SV.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MPI-M.MPI-ESM1-2-HR.historical.r1i1p1f1.year.GARD-SV.tasmax.csv    |
| MRI-ESM2-0    | historical | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-SV.pr.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-SV.pr.csv              |
| MRI-ESM2-0    | historical | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-SV.tasmax.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-SV.tasmax.csv          |
| MRI-ESM2-0    | historical | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-SV.tasmin.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.GARD-SV.tasmin.csv          |
| MRI-ESM2-0    | historical | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-SV.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-SV.pr.csv            |
| MRI-ESM2-0    | historical | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-SV.tasmax.csv        |
| MRI-ESM2-0    | historical | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.GARD-SV.tasmin.csv        |
| MRI-ESM2-0    | historical | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-SV.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-SV.pr.csv             |
| MRI-ESM2-0    | historical | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-SV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-SV.tasmax.csv         |
| MRI-ESM2-0    | historical | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-SV.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.GARD-SV.tasmin.csv         |
| BCC-CSM2-MR   | ssp245     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.day.GARD-SV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.day.GARD-SV.tasmax.csv      |
| BCC-CSM2-MR   | ssp245     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.day.GARD-SV.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.day.GARD-SV.tasmin.csv      |
| BCC-CSM2-MR   | ssp245     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.month.GARD-SV.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.month.GARD-SV.tasmax.csv    |
| BCC-CSM2-MR   | ssp245     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.month.GARD-SV.tasmin.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.month.GARD-SV.tasmin.csv    |
| BCC-CSM2-MR   | ssp245     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.year.GARD-SV.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.year.GARD-SV.tasmax.csv     |
| BCC-CSM2-MR   | ssp245     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.year.GARD-SV.tasmin.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp245.r1i1p1f1.year.GARD-SV.tasmin.csv     |
| BCC-CSM2-MR   | ssp370     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.day.GARD-SV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.day.GARD-SV.tasmax.csv      |
| BCC-CSM2-MR   | ssp370     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.day.GARD-SV.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.day.GARD-SV.tasmin.csv      |
| BCC-CSM2-MR   | ssp370     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.month.GARD-SV.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.month.GARD-SV.tasmax.csv    |
| BCC-CSM2-MR   | ssp370     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.month.GARD-SV.tasmin.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.month.GARD-SV.tasmin.csv    |
| BCC-CSM2-MR   | ssp370     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.year.GARD-SV.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.year.GARD-SV.tasmax.csv     |
| BCC-CSM2-MR   | ssp370     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.year.GARD-SV.tasmin.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp370.r1i1p1f1.year.GARD-SV.tasmin.csv     |
| BCC-CSM2-MR   | ssp585     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.day.GARD-SV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.day.GARD-SV.tasmax.csv      |
| BCC-CSM2-MR   | ssp585     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.day.GARD-SV.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.day.GARD-SV.tasmin.csv      |
| BCC-CSM2-MR   | ssp585     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.month.GARD-SV.tasmax.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.month.GARD-SV.tasmax.csv    |
| BCC-CSM2-MR   | ssp585     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.month.GARD-SV.tasmin.zarr    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.month.GARD-SV.tasmin.csv    |
| BCC-CSM2-MR   | ssp585     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.year.GARD-SV.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.year.GARD-SV.tasmax.csv     |
| BCC-CSM2-MR   | ssp585     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.year.GARD-SV.tasmin.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.BCC.BCC-CSM2-MR.ssp585.r1i1p1f1.year.GARD-SV.tasmin.csv     |
| CanESM5       | ssp245     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.GARD-SV.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.GARD-SV.pr.csv            |
| CanESM5       | ssp245     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.GARD-SV.tasmax.csv        |
| CanESM5       | ssp245     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.day.GARD-SV.tasmin.csv        |
| CanESM5       | ssp245     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.GARD-SV.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.GARD-SV.pr.csv          |
| CanESM5       | ssp245     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.GARD-SV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.GARD-SV.tasmax.csv      |
| CanESM5       | ssp245     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.GARD-SV.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.month.GARD-SV.tasmin.csv      |
| CanESM5       | ssp245     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.GARD-SV.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.GARD-SV.pr.csv           |
| CanESM5       | ssp245     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.GARD-SV.tasmax.csv       |
| CanESM5       | ssp245     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp245.r1i1p1f1.year.GARD-SV.tasmin.csv       |
| CanESM5       | ssp370     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.GARD-SV.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.GARD-SV.pr.csv            |
| CanESM5       | ssp370     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.GARD-SV.tasmax.csv        |
| CanESM5       | ssp370     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.day.GARD-SV.tasmin.csv        |
| CanESM5       | ssp370     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.GARD-SV.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.GARD-SV.pr.csv          |
| CanESM5       | ssp370     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.GARD-SV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.GARD-SV.tasmax.csv      |
| CanESM5       | ssp370     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.GARD-SV.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.month.GARD-SV.tasmin.csv      |
| CanESM5       | ssp370     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.GARD-SV.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.GARD-SV.pr.csv           |
| CanESM5       | ssp370     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.GARD-SV.tasmax.csv       |
| CanESM5       | ssp370     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp370.r1i1p1f1.year.GARD-SV.tasmin.csv       |
| CanESM5       | ssp585     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.GARD-SV.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.GARD-SV.pr.csv            |
| CanESM5       | ssp585     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.GARD-SV.tasmax.csv        |
| CanESM5       | ssp585     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.day.GARD-SV.tasmin.csv        |
| CanESM5       | ssp585     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.GARD-SV.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.GARD-SV.pr.csv          |
| CanESM5       | ssp585     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.GARD-SV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.GARD-SV.tasmax.csv      |
| CanESM5       | ssp585     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.GARD-SV.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.month.GARD-SV.tasmin.csv      |
| CanESM5       | ssp585     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.GARD-SV.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.GARD-SV.pr.csv           |
| CanESM5       | ssp585     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.GARD-SV.tasmax.csv       |
| CanESM5       | ssp585     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.CCCma.CanESM5.ssp585.r1i1p1f1.year.GARD-SV.tasmin.csv       |
| MPI-ESM1-2-HR | ssp245     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.day.GARD-SV.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.day.GARD-SV.pr.csv       |
| MPI-ESM1-2-HR | ssp245     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.day.GARD-SV.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.day.GARD-SV.tasmax.csv   |
| MPI-ESM1-2-HR | ssp245     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.day.GARD-SV.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.day.GARD-SV.tasmin.csv   |
| MPI-ESM1-2-HR | ssp245     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.month.GARD-SV.pr.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.month.GARD-SV.pr.csv     |
| MPI-ESM1-2-HR | ssp245     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.month.GARD-SV.tasmax.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.month.GARD-SV.tasmax.csv |
| MPI-ESM1-2-HR | ssp245     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.month.GARD-SV.tasmin.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.month.GARD-SV.tasmin.csv |
| MPI-ESM1-2-HR | ssp245     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.year.GARD-SV.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.year.GARD-SV.pr.csv      |
| MPI-ESM1-2-HR | ssp245     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.year.GARD-SV.tasmax.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.year.GARD-SV.tasmax.csv  |
| MPI-ESM1-2-HR | ssp245     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.year.GARD-SV.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp245.r1i1p1f1.year.GARD-SV.tasmin.csv  |
| MPI-ESM1-2-HR | ssp370     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.day.GARD-SV.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.day.GARD-SV.pr.csv       |
| MPI-ESM1-2-HR | ssp370     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.day.GARD-SV.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.day.GARD-SV.tasmax.csv   |
| MPI-ESM1-2-HR | ssp370     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.day.GARD-SV.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.day.GARD-SV.tasmin.csv   |
| MPI-ESM1-2-HR | ssp370     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.month.GARD-SV.pr.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.month.GARD-SV.pr.csv     |
| MPI-ESM1-2-HR | ssp370     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.month.GARD-SV.tasmax.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.month.GARD-SV.tasmax.csv |
| MPI-ESM1-2-HR | ssp370     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.month.GARD-SV.tasmin.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.month.GARD-SV.tasmin.csv |
| MPI-ESM1-2-HR | ssp370     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.year.GARD-SV.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.year.GARD-SV.pr.csv      |
| MPI-ESM1-2-HR | ssp370     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.year.GARD-SV.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp370.r1i1p1f1.year.GARD-SV.tasmin.csv  |
| MPI-ESM1-2-HR | ssp585     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.day.GARD-SV.pr.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.day.GARD-SV.pr.csv       |
| MPI-ESM1-2-HR | ssp585     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.day.GARD-SV.tasmax.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.day.GARD-SV.tasmax.csv   |
| MPI-ESM1-2-HR | ssp585     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.day.GARD-SV.tasmin.zarr   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.day.GARD-SV.tasmin.csv   |
| MPI-ESM1-2-HR | ssp585     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.month.GARD-SV.pr.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.month.GARD-SV.pr.csv     |
| MPI-ESM1-2-HR | ssp585     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.month.GARD-SV.tasmax.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.month.GARD-SV.tasmax.csv |
| MPI-ESM1-2-HR | ssp585     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.month.GARD-SV.tasmin.zarr | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.month.GARD-SV.tasmin.csv |
| MPI-ESM1-2-HR | ssp585     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.year.GARD-SV.pr.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.year.GARD-SV.pr.csv      |
| MPI-ESM1-2-HR | ssp585     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.year.GARD-SV.tasmin.zarr  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.DKRZ.MPI-ESM1-2-HR.ssp585.r1i1p1f1.year.GARD-SV.tasmin.csv  |
| MIROC6        | ssp245     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.day.GARD-SV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.day.GARD-SV.tasmax.csv         |
| MIROC6        | ssp245     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.day.GARD-SV.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.day.GARD-SV.tasmin.csv         |
| MIROC6        | ssp245     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.month.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.month.GARD-SV.tasmax.csv       |
| MIROC6        | ssp245     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.month.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.month.GARD-SV.tasmin.csv       |
| MIROC6        | ssp245     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.year.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.year.GARD-SV.tasmax.csv        |
| MIROC6        | ssp245     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.year.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp245.r1i1p1f1.year.GARD-SV.tasmin.csv        |
| MIROC6        | ssp370     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.day.GARD-SV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.day.GARD-SV.tasmax.csv         |
| MIROC6        | ssp370     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.day.GARD-SV.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.day.GARD-SV.tasmin.csv         |
| MIROC6        | ssp370     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.month.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.month.GARD-SV.tasmax.csv       |
| MIROC6        | ssp370     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.month.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.month.GARD-SV.tasmin.csv       |
| MIROC6        | ssp370     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.year.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.year.GARD-SV.tasmax.csv        |
| MIROC6        | ssp370     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.year.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp370.r1i1p1f1.year.GARD-SV.tasmin.csv        |
| MIROC6        | ssp585     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.day.GARD-SV.pr.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.day.GARD-SV.pr.csv             |
| MIROC6        | ssp585     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.day.GARD-SV.tasmax.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.day.GARD-SV.tasmax.csv         |
| MIROC6        | ssp585     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.day.GARD-SV.tasmin.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.day.GARD-SV.tasmin.csv         |
| MIROC6        | ssp585     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.month.GARD-SV.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.month.GARD-SV.pr.csv           |
| MIROC6        | ssp585     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.month.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.month.GARD-SV.tasmax.csv       |
| MIROC6        | ssp585     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.month.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.month.GARD-SV.tasmin.csv       |
| MIROC6        | ssp585     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.year.GARD-SV.pr.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.year.GARD-SV.pr.csv            |
| MIROC6        | ssp585     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.year.GARD-SV.tasmax.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.year.GARD-SV.tasmax.csv        |
| MIROC6        | ssp585     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.year.GARD-SV.tasmin.zarr        | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MIROC.MIROC6.ssp585.r1i1p1f1.year.GARD-SV.tasmin.csv        |
| MRI-ESM2-0    | ssp245     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-SV.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-SV.pr.csv           |
| MRI-ESM2-0    | ssp245     | day            | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-SV.tasmax.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-SV.tasmax.csv       |
| MRI-ESM2-0    | ssp245     | day            | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-SV.tasmin.zarr       | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.GARD-SV.tasmin.csv       |
| MRI-ESM2-0    | ssp245     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-SV.pr.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-SV.pr.csv         |
| MRI-ESM2-0    | ssp245     | month          | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-SV.tasmax.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-SV.tasmax.csv     |
| MRI-ESM2-0    | ssp245     | month          | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-SV.tasmin.zarr     | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.GARD-SV.tasmin.csv     |
| MRI-ESM2-0    | ssp245     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-SV.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-SV.pr.csv          |
| MRI-ESM2-0    | ssp245     | year           | GARD-SV   | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-SV.tasmax.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-SV.tasmax.csv      |
| MRI-ESM2-0    | ssp245     | year           | GARD-SV   | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-SV.tasmin.zarr      | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.GARD-SV.tasmin.csv      |
| MRI-ESM2-0    | ssp370     | day            | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.GARD-SV.pr.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.day.GARD-SV.pr.csv           |
| MRI-ESM2-0    | ssp370     | month          | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.GARD-SV.pr.zarr         | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.month.GARD-SV.pr.csv         |
| MRI-ESM2-0    | ssp370     | year           | GARD-SV   | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.GARD-SV.pr.zarr          | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/GARD-SV/ScenarioMIP.MRI.MRI-ESM2-0.ssp370.r1i1p1f1.year.GARD-SV.pr.csv          |
| MRI-ESM2-0    | historical | day            | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.MACA.pr.zarr                    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.MACA.pr.csv                    |
| MRI-ESM2-0    | historical | day            | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.MACA.tasmax.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.MACA.tasmax.csv                |
| MRI-ESM2-0    | historical | day            | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.MACA.tasmin.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.day.MACA.tasmin.csv                |
| MRI-ESM2-0    | historical | month          | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.MACA.pr.zarr                  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.MACA.pr.csv                  |
| MRI-ESM2-0    | historical | month          | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.MACA.tasmax.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.MACA.tasmax.csv              |
| MRI-ESM2-0    | historical | month          | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.MACA.tasmin.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.month.MACA.tasmin.csv              |
| MRI-ESM2-0    | historical | year           | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.MACA.pr.zarr                   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.MACA.pr.csv                   |
| MRI-ESM2-0    | historical | year           | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.MACA.tasmax.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.MACA.tasmax.csv               |
| MRI-ESM2-0    | historical | year           | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.MACA.tasmin.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.MRI.MRI-ESM2-0.historical.r1i1p1f1.year.MACA.tasmin.csv               |
| NorESM2-LM    | historical | day            | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.MACA.pr.zarr                    | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.MACA.pr.csv                    |
| NorESM2-LM    | historical | day            | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.MACA.tasmax.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.MACA.tasmax.csv                |
| NorESM2-LM    | historical | day            | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.MACA.tasmin.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.day.MACA.tasmin.csv                |
| NorESM2-LM    | historical | month          | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.MACA.pr.zarr                  | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.MACA.pr.csv                  |
| NorESM2-LM    | historical | month          | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.MACA.tasmax.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.MACA.tasmax.csv              |
| NorESM2-LM    | historical | month          | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.MACA.tasmin.zarr              | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.month.MACA.tasmin.csv              |
| NorESM2-LM    | historical | year           | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.MACA.pr.zarr                   | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.MACA.pr.csv                   |
| NorESM2-LM    | historical | year           | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.MACA.tasmax.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.MACA.tasmax.csv               |
| NorESM2-LM    | historical | year           | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.MACA.tasmin.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/CMIP.NCC.NorESM2-LM.historical.r1i1p1f1.year.MACA.tasmin.csv               |
| MRI-ESM2-0    | ssp245     | day            | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.MACA.tasmax.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.MACA.tasmax.csv             |
| MRI-ESM2-0    | ssp245     | day            | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.MACA.tasmin.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.day.MACA.tasmin.csv             |
| MRI-ESM2-0    | ssp245     | month          | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.MACA.tasmax.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.MACA.tasmax.csv           |
| MRI-ESM2-0    | ssp245     | month          | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.MACA.tasmin.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.month.MACA.tasmin.csv           |
| MRI-ESM2-0    | ssp245     | year           | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.MACA.tasmax.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.MACA.tasmax.csv            |
| MRI-ESM2-0    | ssp245     | year           | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.MACA.tasmin.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp245.r1i1p1f1.year.MACA.tasmin.csv            |
| MRI-ESM2-0    | ssp585     | day            | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.MACA.pr.zarr                 | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.MACA.pr.csv                 |
| MRI-ESM2-0    | ssp585     | day            | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.MACA.tasmax.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.day.MACA.tasmax.csv             |
| MRI-ESM2-0    | ssp585     | month          | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.MACA.pr.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.MACA.pr.csv               |
| MRI-ESM2-0    | ssp585     | month          | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.MACA.tasmax.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.month.MACA.tasmax.csv           |
| MRI-ESM2-0    | ssp585     | year           | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.MACA.pr.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.MACA.pr.csv                |
| MRI-ESM2-0    | ssp585     | year           | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.MACA.tasmax.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.MRI.MRI-ESM2-0.ssp585.r1i1p1f1.year.MACA.tasmax.csv            |
| NorESM2-LM    | ssp245     | day            | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.day.MACA.pr.zarr                 | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.day.MACA.pr.csv                 |
| NorESM2-LM    | ssp245     | day            | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.day.MACA.tasmax.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.day.MACA.tasmax.csv             |
| NorESM2-LM    | ssp245     | day            | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.day.MACA.tasmin.zarr             | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.day.MACA.tasmin.csv             |
| NorESM2-LM    | ssp245     | month          | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.month.MACA.pr.zarr               | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.month.MACA.pr.csv               |
| NorESM2-LM    | ssp245     | month          | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.month.MACA.tasmax.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.month.MACA.tasmax.csv           |
| NorESM2-LM    | ssp245     | month          | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.month.MACA.tasmin.zarr           | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.month.MACA.tasmin.csv           |
| NorESM2-LM    | ssp245     | year           | MACA      | pr       | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.year.MACA.pr.zarr                | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.year.MACA.pr.csv                |
| NorESM2-LM    | ssp245     | year           | MACA      | tasmax   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.year.MACA.tasmax.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.year.MACA.tasmax.csv            |
| NorESM2-LM    | ssp245     | year           | MACA      | tasmin   | CC-BY-4.0 | https://cpdataeuwest.blob.core.windows.net/cp-cmip/version1/data/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.year.MACA.tasmin.zarr            | https://carbonplan-share.s3.us-west-2.amazonaws.com/cmip6-downscaling/MACA/ScenarioMIP.NCC.NorESM2-LM.ssp245.r1i1p1f1.year.MACA.tasmin.csv            |
